/*
 * Copyright (c) 2012 AgroSense.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Timon Veenstra <monezz@gmail.com> - initial API and implementation and/or initial documentation
 */
package nl.cloudfarming.client.sensor.greenseeker;

import java.util.List;
import javax.swing.Icon;
import nl.cloudfarming.client.imp.ImportProcessor;
import nl.cloudfarming.client.sensor.AbstractSensorImportProcessor;
import org.netbeans.api.project.Project;
import org.openide.filesystems.FileObject;
import org.openide.util.ImageUtilities;
import org.openide.util.NbBundle;
import org.openide.util.lookup.ServiceProvider;

/**
 * Import processor for the Greenseeker files
 *
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
@NbBundle.Messages("sensor greenseeker format description=Greenseeker Sensor file (*.dbf)")
@ServiceProvider(service = ImportProcessor.class)
public class GreenseekerImportProcessor extends AbstractSensorImportProcessor {

    private static final Icon ICON = ImageUtilities.loadImageIcon(GreenseekerDataObject.ICON_BASE, true);

    @Override
    public String[] getSupportedExtentions() {
        return new String[]{"dbf"};
    }

    @Override
    public boolean isSupported(FileObject importFile) {
        return GreenseekerDataObject.MIME_TYPE.equals(importFile.getMIMEType());
    }

    @Override
    public String getFormatDescription() {
        return Bundle.sensor_greenseeker_format_description();
    }

    @Override
    public Icon getIcon() {
        return ICON;
    }

    @Override
    public void process(FileObject importFile, Project project) throws IllegalArgumentException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public <T> void process(FileObject importFile, Project project, List<T> toPopulate) throws IllegalArgumentException {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
